package com.ruoyi.common.utils;

import java.nio.charset.StandardCharsets;
import java.util.Base64;
import java.util.Date;

public class CheckTimeVerS {

    public static Boolean checkTime(String vo) {
        Boolean Flag = true;
        try {
            vo = vo.substring(3);
            String time = decode2(vo);
            Long limit = Long.parseLong(time.split("-")[1]);
            Long now = new Date().getTime();
            if(now>limit){
                Flag =  false;
            }
        } catch (Exception e) {
            Flag =  false;
        }
        return true;
    }


    /**
     * base64解码（方法二）
     *
     * @param base64Str 待解码字符串
     * @return 解码字符串
     * @explain Base64.java实现
     */
    public static String decode2(String base64Str) {
        // 非空字符串才进行解码
        if (base64Str != null && base64Str.length() > 0) {
            // 编码
            byte[] base64Bytes = Base64.getDecoder().decode(base64Str);
            // byte[] 转 String（解码后的字符串）
            return new String(base64Bytes, StandardCharsets.UTF_8);
        }
        return "";

    }
}

